$(document).mouseup(function(e) {
    var container = $("#life_search2");
    if (container.has(e.target).length === 0) container.hide();
    $("#life_search1").show();
});



$('.side_menu_btn').click(function(e) {
    var element = $(".channel_header");
    var doc_width = element.width();

    $("#side_menu_layer").toggle();
    var popH = $(this).offset().top;
    $("#side_menu_layer").css('top', '0px');
    $("#side_menu_layer").css('left', doc_width + 'px');

});

function submit_check() {
    if (!$("#search_keyword").val()) {
        alert('검색어를 입력하세요.');
        return false;
    } else {
        return true;
    }
}

function search() {
    $('#search_form').submit();
}

function search_show() {
    $("#life_search1").hide();
    $("#life_search2").show();
    $("#search_keyword").focus();
}

function channel_delivery() {
    if ("" == "") {
        alert("로그인 후에 이용가능합니다.");
        return;
    }
    var form_data = {
        "main_idx": 9,
        "content_type": 3
    };
    $.ajax({
        url: '/web/comm/delivery_proc',
        async: false,
        type: 'POST',
        dataType: 'JSON',
        data: form_data,
        success: function(rtnJson) {
            if (rtnJson.code == "0000") {
                $("#channel_delivery_btn").attr("src", "<?php echo THEME_FOLDER; ?>/img/bt_delivery_" +
                    rtnJson.data + "_white.png");

            } else {
                alert("저장에 실패했습니다.");
                return false;
            }
        },
        error: function(rtnJson) {
            alert('저장에 실패했습니다.');
            return false;
        }
    });

}


            $(document).ready(function() {

            });

            $(".mask").on('click', function(event) {
                $(event.target).parent().hide();

            });

            function check_password() {
                if ($("#profile_password").val() == "") {
                    alert("비밀번호를 입력해주세요.");
                    return false;
                }

                var form_data = {
                    "member_id": "",
                    "member_pwd": $("#profile_password").val()
                };
                $.ajax({
                    url: '/web/member/password_check_proc',
                    async: false,
                    type: 'POST',
                    dataType: 'JSON',
                    data: form_data,
                    success: function(rtnJson) {
                        console.log(rtnJson);
                        console.log(rtnJson.code);
                        if (rtnJson.code == "0000") {
                            location.href = "/web/mypage/member_edit";
                        } else {
                            alert(rtnJson.msg);
                            return false;
                        }
                    },
                    error: function(rtnJson) {
                        alert('비밀번호 확인에 실패했습니다.');
                        return false;
                    }
                });
            }

            // 비밀번호 찾기
            function find_password_type_select() {
                $("input[name=find_password_type]:checked").each(function() {
                    var find_password_type = $(this).val();
                    if (find_password_type == '1') {
                        $('#kmc_mobile_auth')[0].contentWindow.kmc_window_open('', 'find_password');
                    } else {
                        commonLayerClose('find_pwd_layer');
                        commonLayerOpen('find_pwd_email_layer');
                    }
                });
            }

            // 아이디 찾기
            function find_id_type_select() {

                $("input[name=find_id_type]:checked").each(function() {
                    var find_id_type = $(this).val();
                    if (find_id_type == '1') {
                        $('#kmc_mobile_auth')[0].contentWindow.kmc_window_open('', 'find_id');
                    } else {
                        commonLayerClose('find_id_layer');
                        commonLayerOpen('find_id_email_layer');
                    }
                });
            }
            // 아이디 찾기 메일 보내기
            function find_id_email_proc() {
                if ($("#find_id_name").val() == true) {
                    alert("이름을 입력해주세요.");
                    return false;
                }
                if ($("#find_id_email").val() == true) {
                    alert("이메일주소를 입력해주세요.");
                    return false;
                }
                if (checkEmail($("#find_id_email").val()) == false) {
                    alert("이메일을 확인해주세요.");
                    return false;
                }
                var form_data = {
                    "content": $("#find_id_name").val(),
                    "email": $("#find_id_email").val(),
                    "type": 'id',
                };
                $.ajax({
                    url: '/web/comm/find_by_email_proc',
                    async: false,
                    type: 'POST',
                    dataType: 'JSON',
                    data: form_data,
                    success: function(rtnJson) {
                        if (rtnJson.code == "0000") {
                            alert("인증번호를 메일로 발송했습니다.");
                            return false;
                        } else {
                            alert(rtnJson.msg);
                            return false;
                        }
                    },
                    error: function(rtnJson) {
                        alert('인증번호 발송에 실패했습니다.');
                        return false;
                    }
                });
            }

            // 아이디찾기 인증 확인
            function find_id_email_auth_proc() {
                if ($("#find_id_name").val() == true) {
                    alert("이름을 입력해주세요.");
                    return false;
                }
                if ($("#find_id_email").val() == true) {
                    alert("이메일주소를 입력해주세요.");
                    return false;
                }
                if (checkEmail($("#find_id_email").val()) == false) {
                    alert("이메일을 확인해주세요.");
                    return false;
                }
                if ($("#find_id_auth_key").val() == true) {
                    alert("인증번호를 입력해주세요.");
                    return false;
                }

                var form_data = {
                    "content": $("#find_id_name").val(),
                    "email": $("#find_id_email").val(),
                    "type": 'id',
                    "auth_key": $("#find_id_auth_key").val()
                };
                $.ajax({
                    url: '/web/comm/find_by_email_auth_proc',
                    async: false,
                    type: 'POST',
                    dataType: 'JSON',
                    data: form_data,
                    success: function(rtnJson) {
                        if (rtnJson.code == "0000") {
                            commonLayerClose('find_id_email_layer');
                            commonLayerOpen('find_id_fin_layer');
                            $("#find_id_text").html(rtnJson.data);
                            return false;


                        } else {
                            alert(rtnJson.msg);
                            return false;
                        }
                    },
                    error: function(rtnJson) {
                        alert('인증번호 발송에 실패했습니다.');
                        return false;
                    }
                });

            }

            // 비밀번호 이메일로 찾기
            function find_pwd_email_proc() {
                if ($("#find_pwd_id").val() == true) {
                    alert("아이디를 입력해주세요.");
                    return false;
                }
                if ($("#find_pwd_email").val() == true) {
                    alert("이메일주소를 입력해주세요.");
                    return false;
                }
                if (checkEmail($("#find_pwd_email").val()) == false) {
                    alert("이메일을 확인해주세요.");
                    return false;
                }

                var form_data = {
                    "type": "email",
                    "id": $("#find_pwd_id").val(),
                    "key": $("#find_pwd_email").val()
                };
                $.ajax({
                    url: '/web/comm/find_password_proc',
                    async: false,
                    type: 'POST',
                    dataType: 'JSON',
                    data: form_data,
                    success: function(rtnJson) {
                        if (rtnJson.code == "0000") {
                            commonLayerClose('find_pwd_layer');
                            commonLayerClose('find_pwd_email_layer');
                            commonLayerOpen('find_pwd_fin_layer');
                            $("#find_pwd_email_text").html(rtnJson.data);
                            return false;

                        } else {
                            alert(rtnJson.msg);
                            return false;
                        }
                    },
                    error: function(rtnJson) {
                        alert('비밀번호 찾기에 실패했습니다.');
                        return false;
                    }
                });



            }



            // 비밀번호 변경
            function change_password() {
                if ($("#now_pwd").val() == "") {
                    alert("현재 비밀번호를 입력해주세요.");
                    return false;
                }

                if ($("#new_member_pwd").val() == "") {
                    alert("비밀번호를 입력해주세요.");
                    return false;
                }

                if (member_pwd_valid_check($("#new_member_pwd").val()) == false) {
                    alert("비밀번호는 6~16 영문 대·소문자,숫자,특수문자로 입력해주세요.");
                    return false;
                }

                if ($("#new_re_member_pwd").val() == "") {
                    alert("비밀번호를 확인을 입력해주세요.");
                    return false;
                }

                if ($("#new_member_pwd").val() != $("#new_re_member_pwd").val()) {
                    alert("비밀번호를 확인을 입력해주세요.");
                    return false;
                }

                if ($("#now_pwd").val() == $("#new_member_pwd").val()) {
                    alert("변경할 비밀번호와 현재 비밀번호는 다르게 입력해주세요.");
                    return false;
                }

                var form_data = {
                    "now_pwd": $("#now_pwd").val(),
                    "new_member_pwd": $("#new_member_pwd").val()
                };
                $.ajax({
                    url: '/web/member/password_change_proc',
                    async: false,
                    type: 'POST',
                    dataType: 'JSON',
                    data: form_data,
                    success: function(rtnJson) {
                        if (rtnJson.code == "0000") {

                            $("#cp_next_change_date").html(rtnJson.data.next_change_data);
                            $("#cp_now_date").html(rtnJson.data.now_date);
                            $("#cp_member_id").html(rtnJson.data.member_id);
                            $("#cp_member_email").html(rtnJson.data.member_email);

                            commonLayerClose('pw_3month_auto_change');
                            commonLayerOpen('pw_3month_auto_change_fin');
                        } else {
                            alert(rtnJson.msg);
                            return false;
                        }
                    },
                    error: function(rtnJson) {
                        alert('비밀번호 변경에 실패했습니다.');
                        return false;
                    }
                });
            }






            // 로그인
            function login_proc() {
                if ($("#login_member_id").val() == "") {
                    alert("아이디를 입력해주세요.");
                    return false;
                }
                if ($("#login_member_pwd").val() == "") {
                    alert("아이디를 입력해주세요.");
                    return false;
                }

                var save_login = 'N';
                if ($('input:checkbox[id="save_login"]').is(":checked") == true) {
                    save_login = $('input:checkbox[id="save_login"]').val()
                }

                var form_data = {
                    "member_id": $("#login_member_id").val(),
                    "member_pwd": $("#login_member_pwd").val(),
                    "save_login": save_login
                };
                $.ajax({
                    url: '/web/member/login_proc',
                    async: false,
                    type: 'POST',
                    dataType: 'JSON',
                    data: form_data,
                    success: function(rtnJson) {
                        if (rtnJson.code == "0000") {
                            if (rtnJson.msg != '') {
                                alert(rtnJson.msg);
                            }
                            location.href = "https://crossmap.co.kr/web/life/channel/9";

                        } else {
                            alert(rtnJson.msg);
                            return false;
                        }
                    },
                    error: function(rtnJson) {
                        alert('로그인에 실패했습니다.');
                        return false;
                    }
                });
            }



            function join_reset() {
                if ($("#login_layer").css("display") == "block") {
                    $("#login_layer").hide();
                }

                $('#join_form')[0].reset();
                $("#member_pwd").removeClass('mybutton_on');
                $("#member_pwd").removeClass('mybutton_off');
                $("#member_pwd").addClass('mybutton_off');
                $("#re_member_pwd").removeClass('mybutton_on');
                $("#re_member_pwd").removeClass('mybutton_off');
                $("#re_member_pwd").addClass('mybutton_off');

                $("#gender_btn1").removeClass('btn-default_bb');
                $("#gender_btn1").removeClass('btn-default');
                $("#gender_btn1").addClass('btn-default');

                $("#gender_btn2").removeClass('btn-default_bb');
                $("#gender_btn2").removeClass('btn-default');
                $("#gender_btn2").addClass('btn-default');


                $(".profile_add_photo label").css("background",
                    "url('<?php echo THEME_FOLDER; ?>/img/img_photo.png') no-repeat center");
                $(".profile_add_photo label").css("background-size", "cover");
            }


            // 크로스맵으로 가입
            function crossmap_join() {
                join_reset();
                commonLayerClose('member_join1_layer');
                commonLayerOpen('member_join2_layer');
            }

            // 트위터로 가입
            function twitter_join(val) {
                join_reset();
                var form_data = {
                    "type": val
                };
                $.ajax({
                    url: '/web/comm/twitter_request_token',
                    async: false,
                    type: 'POST',
                    dataType: 'JSON',
                    data: form_data,
                    success: function(rtnJson) {
                        if (rtnJson.result_code == "0000") {
                            var url = rtnJson.result_data.url;
                            console.log(url);
                            window.open(url, "",
                                "height=500,width=400,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=yes,menubar=no,location=no,directories=no, status=yes"
                            );

                        } else {
                            alert("트위터 계정인증에 실패했습니다.");
                            return false;
                        }
                    },
                    error: function(rtnJson) {
                        alert('트위터 계정인증에 실패했습니다.');
                        return false;
                    }
                });
            }

            //  카카오로 가입
            function kakako_login() {
                join_reset();

                var state = "061f45fd5d80359b7ead0e45143bb061";
                var url =
                    "https://kauth.kakao.com/oauth/authorize?client_id=d9d530edc95295682137fdd37dddc55f&redirect_uri=https://crossmap.co.kr/web/share/kakao_callback_proc&response_type=code&state=" +
                    state;
                window.open(url, "",
                    "height=500,width=400,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=yes,menubar=no,location=no,directories=no, status=yes"
                );
            }

            // 네이버로 가입
            function naver_login() {
                join_reset();

                var state = "061f45fd5d80359b7ead0e45143bb061";
                var url =
                    "https://nid.naver.com/oauth2.0/authorize?response_type=code&client_id=cNiinVHYsygxVKF4FOtw&redirect_uri=https://crossmap.co.kr/web/share/naver_callback_proc&state=" +
                    state;
                window.open(url, "",
                    "height=500,width=400,left=100,top=100,resizable=yes,scrollbars=yes,toolbar=yes,menubar=no,location=no,directories=no, status=yes"
                );
            }





            // 이용약관동의
            function policy_agreement() {
                if ($("#agree1").is(":checked") == false) {
                    alert("서비스 이용약관 동의를 해주세요.");
                    return false;
                }

                if ($("#agree2").is(":checked") == false) {
                    alert("개인정보 취급방침 동의를 해주세요.");
                    return false;
                }

                if ($("#agree3").is(":checked") == false) {
                    alert("개인정보 수집 및 이용 동의를 해주세요.");
                    return false;
                }

                if ($("#social_id").val() != '') {
                    $("#crossmap_join").hide();

                    var form_data = {
                        "social_id": $("#social_id").val()
                    };
                    $.ajax({
                        url: '/web/comm/social_member_info',
                        sync: false,
                        type: 'POST',
                        dataType: 'json',
                        data: form_data,
                        success: function(rtn_json) {
                            if (rtn_json.result_code != '0000') {
                                alert("sns 계정연동에 실패했습니다.");
                                $("#social_id").val('');
                                return false;
                            } else {
                                $("#member_name").val(rtn_json.result_data.name);
                                if (rtn_json.result_data.profile_img != '') {
                                    $(".profile_add_photo label").css("background", "url('" + rtn_json
                                        .result_data.profile_img + "') no-repeat center");
                                    $(".profile_add_photo label").css("background-size", "cover");
                                    $("#sns_profile_img").val(rtn_json.result_data.profile_img);
                                }
                            }
                        },
                        error: function(rtnHtml) {
                            return false;
                        }
                    });

                }
                commonLayerClose('member_join2_layer');
                commonLayerOpen('member_join3_layer');

            }


            // 아이디 중복체크
            function member_overlap_check() {
                var member_id = $("#member_id").val();
                if (member_id == "") {
                    alert("아이디를 입력해주세요.");
                    return false;
                }
                if (member_id_valid_check(member_id) == false) {
                    alert("아이디는 5~20자의 영문 대 소문자, 숫자와 (_),(-)만 사용 가능합니다.");
                    return false;
                }

                var form_data = {
                    "member_id": member_id
                };
                $.ajax({
                    url: '/web/member/member_id_check_proc',
                    sync: false,
                    type: 'POST',
                    dataType: 'json',
                    data: form_data,
                    success: function(rtn_json) {
                        if (rtn_json.result_code != '0000') {
                            alert("사용할수없는 아이디입니다.");
                            $("#member_id").val('');
                            $("#is_use_id").val('N');

                            return false;
                        } else {
                            alert("사용가능한 아이디입니다.");
                            $("#is_use_id").val('Y');
                            return false;
                        }
                    },
                    error: function(rtnHtml) {
                        $("#is_use_id").val('N');
                        return false;

                    }
                });
            }

            // 비밀번호 체크
            function member_pwd_check(t) {
                var id = t.id;
                var val = t.value;

                $("#" + id).removeClass('mybutton_off');
                if (member_pwd_valid_check(val) == false) {
                    $("#" + id).addClass('mybutton_off');
                } else {
                    $("#" + id).addClass('mybutton_on');
                }
            }

            // 성별체크
            function member_gender_select(val) {
                var member_gender = $("#member_gender").val();

                $("#gender_btn" + member_gender).removeClass('btn-default_bb');
                $("#gender_btn" + member_gender).addClass('btn-default');

                $("#member_gender").val(val);
                $("#gender_btn" + val).addClass('btn-default_bb');
            }

            // 만14세 체크
            function birth_change() {
                var birth_year = $("#birth_year").val();
                var birth_month = $("#birth_month").val();
                var birth_day = $("#birth_day").val();

                if (birth_year != '' && birth_month != '' && birth_day != '') {
                    var date = new Date();
                    var year = date.getFullYear();
                    var month = (date.getMonth() + 1);
                    var day = date.getDate();
                    if (month < 10) month = '0' + month;
                    if (day < 10) day = '0' + day;
                    var today = year + month + day;
                    var birth = birth_year + birth_month + birth_day;

                    var result = parseInt(today) - parseInt(birth) - 150000;
                    if (parseInt(result) < 0) { // 14세미만
                        $("#under14_form").show();
                        $("#more14_form").hide();
                        $("#is_under14").val('Y');
                    } else {
                        $("#under14_form").hide();
                        $("#more14_form").show();
                        $("#is_under14").val('N');
                    }
                }
            }

            // 프로필이미지 등록
            function readURL(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
                    reader.onload = function(e) {
                        $(".profile_add_photo label").css("background", "url('" + e.target.result +
                            "') no-repeat center");
                        $(".profile_add_photo label").css("background-size", "cover");
                        $("#sns_profile_img").val('');
                    }
                    reader.readAsDataURL(input.files[0]);
                }
            }

            // 이메일선택
            function email_change(val) {
                $("#email2").val(val);
            }

            // 14세 미만
            // 이메일 중복체크
            function under14_email_overlap_check() {
                $("#email_check").val('N');
                var email = $("#under14_member_email").val();
                if (checkEmail(email) == false) {
                    alert("이메일을 확인해주세요.");
                    return false;
                }

                var form_data = {
                    "email": email
                };
                $.ajax({
                    url: '/web/member/member_email_check_proc',
                    async: false,
                    type: 'POST',
                    dataType: 'JSON',
                    data: form_data,
                    success: function(rtnJson) {
                        if (rtnJson.result_code != "0000") {
                            alert("사용할수 없는 이메일입니다.");
                            return false;
                        } else {
                            alert("사용가능한 이메일입니다.");
                            $("#email_check").val('Y');
                            return false;
                        }
                    },
                    error: function(rtnJson) {
                        alert('이메일 중복확인을 실패했습니다.');
                        return false;
                    }
                });

            }





            // 이메일 중복체크
            function email_overlap_check() {
                $("#email_check").val('N');
                var email = $("#email1").val() + '@' + $("#email2").val();
                if (checkEmail(email) == false) {
                    alert("이메일을 확인해주세요.");
                    return false;
                }

                var form_data = {
                    "email": email
                };
                $.ajax({
                    url: '/web/member/member_email_check_proc',
                    async: false,
                    type: 'POST',
                    dataType: 'JSON',
                    data: form_data,
                    success: function(rtnJson) {
                        if (rtnJson.result_code != "0000") {
                            alert("사용할수 없는 이메일입니다.");
                            return false;
                        } else {
                            alert("사용가능한 이메일입니다.");
                            $("#email_check").val('Y');
                            return false;


                        }
                    },
                    error: function(rtnJson) {
                        alert('이메일 중복확인을 실패했습니다.');
                        return false;
                    }
                });

            }

            // 휴대폰 인증
            function mobile_auth() {
                var mobile = $("#mobile1").val() + $("#mobile2").val() + $("#mobile3").val();
                if (checkMobile(mobile) == false) {
                    alert("휴대폰번호를 확인해주세요.");
                    return false;
                }
                $('#kmc_mobile_auth')[0].contentWindow.kmc_window_open(mobile, 'member_join1');
            }

            // 보호자 모바일 인증
            function parent_mobile_auth() {
                if ($("#parent_mobile_company").val() == "") {
                    alert("통신사를 선택해주세요. 입력해주세요.");
                    return false;
                }

                var mobile = $("#parent_mobile").val();
                if (checkMobile(mobile) == false) {
                    alert("휴대폰번호를 확인해주세요.");
                    return false;
                }

                $('#kmc_mobile_auth')[0].contentWindow.kmc_window_open(mobile, 'member_join2');

            }


            function member_join_next() {
                if ($("#social_id").val() == "") {
                    if ($("#member_id").val() == "") {
                        alert("아이디를 입력해주세요.");
                        return false;
                    }

                    if ($("#is_use_id").val() != "Y") {
                        alert("아이디 중복확인을 해주세요.");
                        return false;
                    }


                    if ($("#member_pwd").val() == "") {
                        alert("비밀번호를 입력해주세요.");
                        return false;
                    }

                    if ($("#re_member_pwd").val() == "") {
                        alert("비밀번호를 확인을 입력해주세요.");
                        return false;
                    }

                    if ($("#member_pwd").val() != $("#re_member_pwd").val()) {
                        alert("비밀번호를 확인을 입력해주세요.");
                        return false;
                    }
                }

                if ($("#member_gender").val() == "") {
                    alert("성별을 선택해주세요.");
                    return false;
                }

                if ($("#birth_year").val() == "") {
                    alert("출생연도를 선택해주세요.");
                    return false;
                }

                if ($("#birth_month").val() == "") {
                    alert("출생월을 선택해주세요.");
                    return false;
                }

                if ($("#birth_day").val() == "") {
                    alert("출생일을 선택해주세요.");
                    return false;
                }

                if ($("#member_calendar").val() == "") {
                    alert("양력/음력을 선택해주세요.");
                    return false;
                }


                commonLayerClose('member_join3_layer');
                commonLayerOpen('member_join4_layer');
            }


            // 회원체크
            function member_join() {
                if ($("#social_id").val() == "") {
                    if ($("#member_id").val() == "") {
                        alert("아이디를 입력해주세요.");
                        commonLayerClose('member_join4_layer');
                        commonLayerOpen('member_join3_layer');
                        return false;
                    }

                    if ($("#is_use_id").val() != "Y") {
                        alert("아이디 중복확인을 해주세요.");
                        commonLayerClose('member_join4_layer');
                        commonLayerOpen('member_join3_layer');
                        return false;
                    }

                    if ($("#member_pwd").val() == "") {
                        alert("비밀번호를 입력해주세요.");
                        commonLayerClose('member_join4_layer');
                        commonLayerOpen('member_join3_layer');
                        return false;
                    }

                    if ($("#re_member_pwd").val() == "") {
                        alert("비밀번호를 확인을 입력해주세요.");
                        commonLayerClose('member_join4_layer');
                        commonLayerOpen('member_join3_layer');
                        return false;
                    }

                    if ($("#member_pwd").val() != $("#re_member_pwd").val()) {
                        alert("비밀번호를 확인을 입력해주세요.");
                        commonLayerClose('member_join4_layer');
                        commonLayerOpen('member_join3_layer');
                        return false;
                    }
                }

                if ($("#member_name").val() == "") {
                    alert("이름을 입력해주세요.");
                    commonLayerClose('member_join4_layer');
                    commonLayerOpen('member_join3_layer');
                    return false;
                }

                if ($("#member_gender").val() == "") {
                    alert("성별을 선택해주세요.");
                    commonLayerClose('member_join4_layer');
                    commonLayerOpen('member_join3_layer');
                    return false;
                }

                if ($("#birth_year").val() == "") {
                    alert("출생연도를 선택해주세요.");
                    commonLayerClose('member_join4_layer');
                    commonLayerOpen('member_join3_layer');
                    return false;
                }

                if ($("#birth_month").val() == "") {
                    alert("출생월을 선택해주세요.");
                    commonLayerClose('member_join4_layer');
                    commonLayerOpen('member_join3_layer');
                    return false;
                }

                if ($("#birth_day").val() == "") {
                    alert("출생일을 선택해주세요.");
                    commonLayerClose('member_join4_layer');
                    commonLayerOpen('member_join3_layer');
                    return false;
                }

                if ($("#member_calendar").val() == "") {
                    alert("양력/음력을 선택해주세요.");
                    commonLayerClose('member_join4_layer');
                    commonLayerOpen('member_join3_layer');
                    return false;
                }

                var email = $("#email1").val() + '@' + $("#email2").val();
                if (checkEmail(email) == false) {
                    alert("이메일을 확인해주세요.");
                    return false;
                }

                if ($("#email_check").val() != 'Y') {
                    alert("이메일 중복확인해주세요.");
                    return false;
                }


                var mobile = $("#mobile1").val() + $("#mobile2").val() + $("#mobile3").val();
                if (checkMobile(mobile) == false) {
                    alert("휴대폰번호를 확인해주세요.");
                    return false;
                }

                if ($("#is_mobile_auth").val() != "Y") {
                    alert("휴대폰 본인인증을 해주세요.");
                    return false;
                }

                if ($("#mobile_CI").val() == "") {
                    alert("휴대폰 본인인증을 해주세요.");
                    return false;
                }

                if ($("#member_name").val() == "") {
                    alert("휴대폰 본인인증한 이름이 없습니다.");
                    return false;
                }


                $('#join_form').submit();

            }


            // 14세 미만 회원가입
            function under14_member_join() {
                if ($("#is_under14").val() == 'N') {
                    alert("잘못된 경로로 가입을 하셨습니다.");
                    join_reset();

                    commonLayerClose('member_join3_layer');
                    commonLayerOpen('member_join2_layer');
                    return false;
                }
                if ($("#social_id").val() == "") {
                    if ($("#member_id").val() == "") {
                        alert("아이디를 입력해주세요.");
                        return false;
                    }

                    if ($("#is_use_id").val() != "Y") {
                        alert("아이디 중복확인을 해주세요.");
                        return false;
                    }

                    if ($("#member_pwd").val() == "") {
                        alert("비밀번호를 입력해주세요.");
                        return false;
                    }

                    if ($("#re_member_pwd").val() == "") {
                        alert("비밀번호를 확인을 입력해주세요.");
                        return false;
                    }

                    if ($("#member_pwd").val() != $("#re_member_pwd").val()) {
                        alert("비밀번호를 확인을 입력해주세요.");
                        return false;
                    }
                }


                if ($("#member_gender").val() == "") {
                    alert("성별을 선택해주세요.");
                    return false;
                }

                if ($("#birth_year").val() == "") {
                    alert("출생연도를 선택해주세요.");
                    return false;
                }

                if ($("#birth_month").val() == "") {
                    alert("출생월을 선택해주세요.");
                    return false;
                }

                if ($("#birth_day").val() == "") {
                    alert("출생일을 선택해주세요.");
                    return false;
                }

                if ($("#member_calendar").val() == "") {
                    alert("양력/음력을 선택해주세요.");
                    return false;
                }

                if ($("#parent_name").val() == "") {
                    alert("보호자 이름을 입력해주세요.");
                    return false;
                }

                if ($("#parent_mobile_company").val() == "") {
                    alert("통신사를 선택해주세요. 입력해주세요.");
                    return false;
                }

                var mobile = $("#parent_mobile").val();
                if (checkMobile(mobile) == false) {
                    alert("휴대폰번호를 확인해주세요.");
                    return false;
                }

                if ($("#is_mobile_auth").val() != "Y") {
                    alert("휴대폰 본인인증을 해주세요.");
                    return false;
                }

                if ($("#mobile_CI").val() == "") {
                    alert("휴대폰 본인인증을 해주세요.");
                    return false;
                }

                if ($("#under14_member_name").val() == "") {
                    alert("이름을 입력해주세요.");
                    return false;
                }

                var under14_member_email = $("#under14_member_email").val();
                if (checkEmail(under14_member_email) == false) {
                    alert("이메일을 확인해주세요.");
                    return false;
                }

                if ($("#email_check").val() != 'Y') {
                    alert("이메일 중복확인해주세요.");
                    return false;
                }

                $('#join_form').submit();

            }


            // This is called with the results from from FB.getLoginStatus().
            function statusChangeCallback(response) {
                if (response.status === 'connected') {
                    FB.api('/me', function(response) {
                        if (response.id != '') {
                            var form_data = {
                                "id": response.id,
                                "name": response.name
                            };
                            $.ajax({
                                url: '/web/share/facebook_login_proc',
                                async: false,
                                type: 'POST',
                                dataType: 'JSON',
                                data: form_data,
                                success: function(rtnJson) {
                                    if (rtnJson.code == "0000") {
                                        window.location.reload();
                                    } else {
                                        alert("페이스북 로그인에 실패했습니다.");
                                        return false;
                                    }

                                },
                                error: function(rtnJson) {
                                    return false;
                                }
                            });
                        }


                    });
                }
            }

            function checkLoginState() {
                window.FB.login(function(response) {
                    console.log(response);
                    if (response.status === 'connected') {
                        statusChangeCallback(response);
                    }
                });
            }


            window.fbAsyncInit = function() {
                FB.init({
                    appId: '961578337335000',
                    cookie: true, // enable cookies to allow the server to access
                    xfbml: true, // parse social plugins on this page
                    version: 'v2.8' // use graph api version 2.8
                });
            };
            // Load the SDK asynchronously
            (function(d, s, id) {
                var js, fjs = d.getElementsByTagName(s)[0];
                if (d.getElementById(id)) return;
                js = d.createElement(s);
                js.id = id;
                js.src = "https://connect.facebook.net/en_US/sdk.js";
                fjs.parentNode.insertBefore(js, fjs);
            }(document, 'script', 'facebook-jssdk'));
            






            function getCookie(name) {
                var nameOfCookie = name + "=";
                var x = 0;
                while (x <= document.cookie.length) {
                    var y = (x + nameOfCookie.length);
                    if (document.cookie.substring(x, y) == nameOfCookie) {
                        if ((endOfCookie = document.cookie.indexOf(";", y)) == -1)
                            endOfCookie = document.cookie.length;
                        return unescape(document.cookie.substring(y, endOfCookie));
                    }
                    x = document.cookie.indexOf(" ", x) + 1;
                    if (x == 0)
                        break;
                }
                return "";
            }
            



            var life_page = 2;

            function channel_list_more() {
                var form_data = {
                    "sort": "1",
                    "page": life_page,
                    "channel_idx": "9"
                };
                $.ajax({
                    url: '/web/life/life_list_more',
                    async: false,
                    type: 'POST',
                    dataType: 'HTML',
                    data: form_data,
                    success: function(rtnHtml) {
                        if (rtnHtml == '') return false;
                        var arrHtml = rtnHtml.split("|||||");
                        if (arrHtml[0].trim() == '0000') {
                            $("#life_list").children('.channel_cont').last().removeAttr("style");
                            $("#life_list").append(arrHtml[1]);
        
                            if (arrHtml[3] == "N") {
                                $("#life_more_btn").hide();
                            } else {
                                $("#life_more_btn").show();
                            }
                            life_page++;
        
                        } else {
                            alert(arrHtml[1]);
                            return false;
                        }
                    },
                    error: function(rtnHtml) {
                        alert('저장에 실패했습니다.');
                        return false;
                    }
                });
            }            




    // 레이어 이외의 공간 클릭시 close
    $(document).mouseup(function(e) {
        var container = $("#side_menu_layer");
        if (container.has(e.target).length === 0) container.hide();
    });

    var recommend_app_curr_page = 1;

    function change_recommend_app_page(page) {
        var total_page = "2";
        var move_page = recommend_app_curr_page + page;
        if (move_page > 0 && total_page >= move_page) {
            $(".recommend_app_page" + move_page).show();
            $(".recommend_app_page" + recommend_app_curr_page).hide();
            recommend_app_curr_page = move_page;
        }
    }            